## org.gjt.sp.jedit.gui.statusbar
Class FoldWidgetFactory

    java.lang.Object
      org.gjt.sp.jedit.gui.statusbar.FoldWidgetFactory

All Implemented Interfaces:
  StatusWidgetFactory

    public class FoldWidgetFactory

extends java.lang.Object
implements StatusWidgetFactory

Since:
  jEdit 4.3pre14

Constructor Summary
`FoldWidgetFactory()`

Method Summary
`Widget` `getWidget(View view)` returns an instance of Widget for the given view

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FoldWidgetFactory

    public FoldWidgetFactory()

Method Detail

### getWidget

    public Widget getWidget(View view)

  Description copied from interface: `StatusWidgetFactory`
  returns an instance of Widget for the given view

  Specified by:
    `getWidget` in interface `StatusWidgetFactory`
  Parameters:
    `view` - the view to which the created widget will belong
  Returns:
    a widget instance